AOZ Studio Beta - Bug #37

Free returns undefined
01/20/2020 05:28 PM - Anonymous

Status: Closed Start date: 01/20/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.2.6

Description

The following code will compile, but Free is undefined

Set Buffer 64
Print Free

The output should be:
65526
Instead, it returns:

undefined

History

#1 - 01/20/2020 05:32 PM - Brian Flanagan

ising4jesus (Brian Flanagan) entered this bug report. (forgot to login)

#2 - 01/21/2020 03:35 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3

The value returned is the exact same as the one set in Set Buffer. And it really has no meaning other than that in AOZ, everything is unlimited!

#3 - 01/22/2020 09:46 PM - Baptiste Pillot

- Status changed from Resolved to Closed

source : https://www.amos?2.fr/ide/Amos2/Ide/Program/417
run : https://www.amos2.fr/run/tickleman/37/

0.9.2.6 result was : undefined

0.9.3.1 result is now : 64

New result correct according to the specifications told by Francois, if you are ok with that.
